LibreOffice: XIterateContainer Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Attributes | List of all members
XIterateContainer Interface Reference

An iterate container iterates over subitems of a given target object and animates them by subsequently executes the contained effects on them. More...

`import <XIterateContainer.idl;`

Inheritance diagram for XIterateContainer:

## Public Attributes
any | Target
| a target that contains iterable contents, f.e.
short | SubItem
| This attribute specifies an optional subitem from the target element that should be animated.
short | IterateType
| the type of iteration, this depends on the target.
double | IterateInterval
| the time interval in second before the next iterated content is animated.
Public Attributes inherited from XAnimationNode
short | Type
| a value from AnimationNodeType.
any | Begin
| a sequence of values that define the beginning of this element Begin is
any | Duration
| defines the length of the simple duration.
any | End
| a sequence of values that define the ending of this element End is
any | EndSync
| controls the implicit duration of time containers, as a function of the children.
any | RepeatCount
| the number of iterations of the simple duration.
any | RepeatDuration
| the total duration for repeat.
short | Fill
| the attribute that specify the behavior how an element should be extended beyond the active duration by freezing the final state of the element.
short | FillDefault
| the default value for the fill behavior for this element and all descendants.
short | Restart
| defines the restart behavior of this element.
short | RestartDefault
| defines the default restart behavior for this element and all descendants.
double | Acceleration
| defines the acceleration for this element.
double | Decelerate
| defines the deceleration for this element.
boolean | AutoReverse
| defines the auto reverse settings for this element.

## Additional Inherited Members
Public Types inherited from XAnimationNode
typedef sequence< ::com::sun::star::beans::NamedValue > | UserData
Public Member Functions inherited from XTimeContainer
XAnimationNode | insertBefore ([in] XAnimationNode newChild, [in] XAnimationNode refChild) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
XAnimationNode | insertAfter ([in] XAnimationNode newChild, [in] XAnimationNode refChild) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
XAnimationNode | replaceChild ([in] XAnimationNode newChild, [in] XAnimationNode oldChild) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
XAnimationNode | removeChild ([in] XAnimationNode oldChild) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
XAnimationNode | appendChild ([in] XAnimationNode newChild) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content.
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

An iterate container iterates over subitems of a given target object and animates them by subsequently executes the contained effects on them.

This could be used to animate a target text word by word or letter by letter.

## Member Data Documentation

## ◆ IterateInterval

double IterateInterval
| attribute

the time interval in second before the next iterated content is animated.

## ◆ IterateType

short IterateType
| attribute

the type of iteration, this depends on the target.

See documentation of used animation engine for supported iteration types.

## ◆ SubItem

short SubItem
| attribute

This attribute specifies an optional subitem from the target element that should be animated.

A value of zero should always be the default and animate the complete target.
See documentation of used animation engine for supported subitems.

## ◆ Target

any Target
| attribute

a target that contains iterable contents, f.e.

a paragraph.
See documentation of used animation engine for supported targets.

The documentation for this interface was generated from the following file:

- com/sun/star/animations/XIterateContainer.idl